import request from '@/utils/request'

// 查询房间列表
export function listRoom(query) {
  return request({
    url: '/system/room/list',
    method: 'get',
    params: query
  })
}

// 查询房间列表
export function listRoom2(query) {
  return request({
    url: '/system/room/list2',
    method: 'get',
    params: query
  })
}

// 查询房间详细
export function getRoom(roomId) {
  return request({
    url: '/system/room/' + roomId,
    method: 'get'
  })
}

// 新增房间
export function addRoom(data) {
  return request({
    url: '/system/room',
    method: 'post',
    data: data
  })
}

// 修改房间
export function updateRoom(data) {
  return request({
    url: '/system/room',
    method: 'put',
    data: data
  })
}

// 删除房间
export function delRoom(roomId) {
  return request({
    url: '/system/room/' + roomId,
    method: 'delete'
  })
}

// 应用套餐
export function bandRule(data) {
  return request({
    url: '/app/room/bandRule',
    method: 'put',
    data: data
  })
}

// 批量应用套餐
export function bandRules(data) {
  return request({
    url: '/app/room/bandRules',
    method: 'put',
    data: data
  })
}

// 开房间门
export function openRoomGate(roomId) {
  return request({
    url: '/system/room/openRoomGate/' + roomId,
    method: 'get',
  })
}

// 房间设备全开/全关
export function switchAllDevices(roomId, open) {
  return request({
    url: `/app/device/adminAll/${roomId}/switch`,
    method: 'post',
    params: {
      open: open
    }
  })
}


