import request from '@/utils/request'

// 查询店铺列表
export function listStore(query) {
  return request({
    url: '/system/store/list',
    method: 'get',
    params: query
  })
}

// 查询店铺详细
export function getStore(storeId,data) {
  return request({
    url: '/system/store/' + storeId,
    method: 'get',
    params: data
  })
}

// 新增店铺
export function addStore(data) {
  return request({
    url: '/system/store',
    method: 'post',
    data: data
  })
}

// 修改店铺
export function updateStore(data) {
  return request({
    url: '/system/store',
    method: 'put',
    data: data
  })
}

// 删除店铺
export function delStore(storeId) {
  return request({
    url: '/system/store/' + storeId,
    method: 'delete'
  })
}

// 绑定大门
export function bindGate(data) {
  return request({
    url: '/app/store/bandGate',
    method: 'put',
    data: data
  })
}

// 解除设备绑定
export function unbindDevice(deviceId) {
  return request({
    url: `/app/device/offline/${deviceId}`,
    method: 'post'
  })
}

// 大门权限配置
export function gateAuth(data) {
  return request({
    url: '/app/store/gateAuth',
    method: 'put',
    data: data
  })
}

// 开大门
export function openGate(storeId) {
  return request({
    url: '/system/store/openGate/'+storeId,
    method: 'get',
  })
}

